דילוג לתוכן

Gemini Omni Flash · Image to Video

שילוב

מזהה מודל google/gemini-omni-flash/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

בקשה זו: ≈⁨‏1.276 ‏$⁩ 1,276 קרדיטי API · ≈ ⁨‏136.93 ‏₽⁩ הרצה בדף הזה

קבלת מפתח API
Google תמונה לווידאו סנכרון שפתייםמהיר3–10 שניות #stylized#transform#lipsync

מנפיש תמונת סטילס יחידה לווידאו עם אודיו, לפי הנחיית תנועה

Google · ווידאו

התוצאה הראשונה שלך תופיע כאן

בנו בקשה למטה והריצו אותה עם מפתח ה־API שלכם. הפלטים מועתקים לאחסון שלנו ונשמרים לצמיתות או למשך 7 ימים ללא תשלום.

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

•חובה 88 / 20000

הוראות טקסט המציינות את ההנפשה שיש להחיל על התמונה.

•חובה image_url
גרור קובץ, או

כתובת URL המפנה לתמונת המקור להנפשה.

aspect_ratio ברירת מחדל 16:9

יחס הגובה-רוחב של וידאו הפלט.

ברירת מחדל 8

אורך וידאו הפלט, נמדד בשניות.

POST /run/google/gemini-omni-flash/image-to-video?wait=20 הצעת מחיר → ⁨‏1.276 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

מידע על Gemini Omni Flash · Image to Video

הופך תמונה יחידה, המועברת כ-`image_url`, לסרטון העוקב אחר תיאור התנועה ב-`prompt`. ניתן לבחור 16:9 או 9:16 ומשך של 3 עד 10 שניות, כאשר ברירת המחדל היא 8. זו הבחירה המתאימה כאשר פריים פתיחה יחיד צריך להגדיר את מראה הקליפ.

פרמטרים

שלח את השם הקנוני או את השם המקומי, לא את שניהם. שמות קנוניים

שםסוג ברירת מחדלמותר תיאור
promptחובה
סוגstring
≤ 20,000 תווים
הוראות טקסט המציינות את ההנפשה שיש להחיל על התמונה.
image_urlחובה image
סוגurl · image
כתובת URL המפנה לתמונת המקור להנפשה.
aspect_ratioאופציונלי
סוגenum
ברירת מחדל16:9
16:99:16
יחס הגובה-רוחב של וידאו הפלט.
durationאופציונלי
סוגinteger
ברירת מחדל8
3 – 10
אורך וידאו הפלט, נמדד בשניות.
חובה שם קנוני, מתקבל גם הוא

פרמטרים של קבצים מקבלים URL ציבורי מסוג https://, כתובת URI מסוג data: בגודל של עד 10 MB, או את file_url של העלאה. קבצים

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1276,
    "usd": "1.276",
    "charged": 1276,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
video
object {url, content_type, file_name, file_size}וידאו שהופק על ידי המודל.

מודלים נוספים: תמונה לווידאו

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/google/gemini-omni-flash/image-to-video.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt